#pragma once

#include "db/ApplicationInfo.h"

class ApplicationDAO {
public:
    [[nodiscard]] static bool upsertApplication(const ApplicationInfo &info);

    [[nodiscard]] static bool updatePinCode(const QString &appId, const QString &pinCode);

    [[nodiscard]] static ApplicationInfo getApplication(const QString &deviceId,  const QString &appName);

    [[nodiscard]] static QList<ApplicationInfo> getApplicationsByDeviceId(const QString &deviceId);
};
